Subject: Re: Cambalache: GTK 4 projects don't work

From: Luis Felipe <[email-masked]>
Date: Wed, 28 Sep 2022 16:10:33 +0000

Hi Liliana,

On Wednesday, September 28th, 2022 at 07:53, Liliana Marie Prikler <[email-masked]> wrote:

> Rather than cambalche being broken, this appears to be a broken gtk.
> You may want to try repairing it using `guix build --repair'. Note,
> that this probably won't work if it's a grafted store item.

Oh, yeah, it seems that was it (I don't understand why gtk was broken though...). I'm closing this issue.

For what it's worth, I ran

sudo guix build --repair gtk
/gnu/store/98rk525gszggbdyqk4g1xr48p6l9jzvz-gtk-4.8.0-bin
/gnu/store/1n80vbzzz512wbzzpy1f0vxm52cjw86j-gtk-4.8.0-doc
/gnu/store/61a5y8h4cm16b8pfxdd6y5xlbxm0rcpr-gtk-4.8.0

After that Cambalache didn't even start. I rebooted the system and launching Cambalache resulted in the same workspace error. Then launched Cambalache in a container:

guix shell -C cambalache -E "^DISPLAY$" -E "^XAUTHORITY$" --expose="$XAUTHORITY" --expose=/tmp/.X11-unix/ --expose=$HOME/.Xauthority --expose=/etc/machine-id --expose=/dev/dri/card0 --expose=$HOME/Descargas --expose=/tmp/dbus-sLdbO2N5m6

It worked without errors. Then left the container, tried launching Cambalache from my user profile again and it worked without errors too (confused).

Thanks, Liliana, and sorry for the noise :)